| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tangibleIdList | yes | []string | Tangible ID List |
| tangibleType | no | string | Tangible type; please do not change this value |
| tangibleName | no | string | Tangible name |
| distinction | no | string | Distinction of the tangible, e.g., rtil |
| extraInfo | no | string | Other attributes of the tangible, in JSON string format. Note: Update the attributes in extraInfo for partial updates. |
| force | no | bool | default is false. Held objects/tangibles are not allowed to be modified by default unless the user has permission and explicitly sets force=true. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error information |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "mutation updateTangible($input: NewUpdateTangibleInfo!) { updateTangible(input: $input) { errorCode errorInfo } }",
"variables": {
"input": {
"tangibleId": "testtangibleid1",
"tangibleType": "ext",
"tangibleName": "testmodify",
"extraInfo": "{\"testname\":\"bbb\"}"
}
}
}'{
"data": {
"bulkUpdateTangible": {
"errorCode": "0x0",
"errorInfo": "Succ"
}
}
}